Update SIP Trunk
curl --request PATCH \
--url https://api.revring.ai/v1/sip-trunks/{id} \
--header 'Content-Type: application/json' \
--header 'x-api-key: <api-key>' \
--data '
{
"cloud": {
"numbers": [
"<string>"
]
}
}
'import requests
url = "https://api.revring.ai/v1/sip-trunks/{id}"
payload = { "cloud": { "numbers": ["<string>"] } }
headers = {
"x-api-key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {'x-api-key': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({cloud: {numbers: ['<string>']}})
};
fetch('https://api.revring.ai/v1/sip-trunks/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"gatewayName": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"friendlyName": "<string>",
"username": "<string>",
"proxy": "<string>",
"cloud": {
"numbers": [
"<string>"
]
}
}
}{
"error": "invalid_body",
"details": {}
}{
"error": "unauthorized"
}{
"error": "billing_inactive"
}{
"error": "not_found"
}SIP Trunks
Update SIP Trunk
Update SIP trunk configuration including phone numbers
PATCH
/
sip-trunks
/
{id}
Update SIP Trunk
Authorizations
API key for authentication. Generate API keys from the RevRing dashboard.
Path Parameters
SIP trunk ID
Body
application/json
Update SIP Trunk. Only phone numbers can be modified after creation.
Update phone numbers associated with this trunk
Show child attributes
Show child attributes
Response
SIP trunk updated
SIP Trunk for routing phone calls
Show child attributes
Show child attributes
⌘I